function loadAssets()
	f_default = lg.newFont("assets/metal lord.ttf",1000)
	f_default:setFilter("nearest","nearest")
	lg.setFont(f_default)

	i_player = lg.newImage("assets/player/player.png")
	i_playerDead = lg.newImage("assets/player/dead.png")
	i_doncon = lg.newImage("assets/doncon/doncon.png")
	i_shadow = lg.newImage("assets/misc/shadow.png")
	
	i_platform = lg.newImage("assets/terrain/platform.png")
	i_platformBg = lg.newImage("assets/terrain/bg.png")
	
	i_projectile1 = lg.newImage("assets/projectiles/p1.png")
	i_projectile1Shine = lg.newImage("assets/projectiles/p1-s.png")
	i_projectile2 = lg.newImage("assets/projectiles/p2.png")
	i_projectile2Shine = lg.newImage("assets/projectiles/p2-s.png")
	i_projectile3 = lg.newImage("assets/projectiles/p3.png")
	i_projectile3Shine = lg.newImage("assets/projectiles/p3-s.png")
	
	i_present1 = lg.newImage("assets/pickups/present1.png")
	i_present2 = lg.newImage("assets/pickups/present2.png")
	i_present3 = lg.newImage("assets/pickups/present3.png")
	
	i_crosshair = lg.newImage("assets/hud/crosshair.png")
	i_crosshairDot = lg.newImage("assets/hud/crosshairdot.png")
	
	a_playerRun = newAnim(lg.newImage("assets/player/run.png"), 0.5)
	a_playerIdle = newAnim(lg.newImage("assets/player/idle.png"), 0.5)
	
	s_eat = la.newSource("assets/sounds/eat.wav","static")
	s_hit = la.newSource("assets/sounds/hit.wav","static")
	s_pickup = la.newSource("assets/sounds/pickup.wav","static")
	s_throw = la.newSource("assets/sounds/throw.wav","static")
	s_death = la.newSource("assets/sounds/death.wav","static")
	s_music = la.newSource("assets/sounds/Boss-Battle_Looping.mp3", "static")
end