function updateDoncon()
	reduceDonconSatisfaction()
	setDonconPosition()
	setDonconMisc()
end

function reduceDonconSatisfaction()
	doncon.satisfaction = math.least(math.most(doncon.satisfaction - (doncon.satisfactionChangeRate * hdt), 1), 0)
	doncon.satisfactionChangeRate = doncon.satisfactionChangeRate + (doncon.satisfactionChangeRateIncreaseRate * hdt)
	
	if doncon.satisfaction <= 0 then
		game.state = "gameover"
		la.stop()
		playS(s_death, game.soundVolume)
		player.invulTimer = -999
	end
end

function setDonconPosition()
	doncon.rotTimer = doncon.rotTimer or 0
	
	if doncon.rotTimer <= 0 then
		doncon.rotTimer = math.random(25, 60)/10
		doncon.speed = math.rad(math.random(20, 40))
		if math.random(1,2) == 1 then doncon.speed = doncon.speed * -1 end
	end
	
	local dist = math.dist(640/2,360/2, doncon.x,doncon.y)
	local angle = math.angle(640/2,360/2, doncon.x,doncon.y)
	
	angle = angle + (doncon.speed*hdt)
	
	doncon.x = math.cos(angle)*dist + 640/2
	doncon.y = math.sin(angle)*dist + 360/2
	
	doncon.rotTimer = doncon.rotTimer - hdt
end

function setDonconMisc()
	local reduceMult = 5
	if doncon.hitTimer >= 0 then
		doncon.hitTimer = math.least(doncon.hitTimer - hdt*reduceMult,0)
	else
		doncon.hitTimer = math.most(doncon.hitTimer + hdt*reduceMult,0)
	end
end