function updatePickups()
	reducePickupSpawnTime()
end

function reducePickupSpawnTime()
	for i, p in pairs(pickups) do
		p.spawnTime = math.least(p.spawnTime - hdt*1.2, 0)
	end
end

function addPickup(x,y, id)
	local speed = 0
	local size = 0
	local value = 0
	local img = i_present1
	
	if id == 1 then
		speed = 500
		size = 9
		value = 0.07
		img = i_present1
	end
	if id == 2 then
		speed = 350
		size = 10
		value = 0.1
		img = i_present2
	end
	if id == 3 then
		speed = 250
		size = 16
		value = 0.15
		img = i_present3
	end
	
	table.insert(pickups, {x=x,y=y,speed=speed,size=size,value=value,img=img, spawnTime = 1})
end