function play(animation)
	lg.origin()

	animation.timer = animation.timer + hdt
	if animation.timer >= animation.playTime then animation.timer = animation.timer - animation.playTime end
	
	local c = lg.getCanvas()
	local r,g,b,a = lg.getColor()
	
	lg.setCanvas(animation.canvas)
	
	lg.clear()
	lg.scale(1)
	lg.setColor(1,1,1)
	lg.draw(animation.img, math.floor(-animation.timer / animation.playTime * animation.numberOfFrames + 1) * animation.img:getHeight(), 0)
	
	lg.setCanvas(c)
	lg.setColor(r,g,b,a)
	
	--screen:apply()
	
	return animation.canvas
end

function newAnim(img,playTime)
	return {img = img, canvas = lg.newCanvas(img:getHeight(),img:getHeight()), playTime = playTime, numberOfFrames = img:getWidth() / img:getHeight(), timer = 0}
end

function copyAnim(anim)
	return {img = anim.img, canvas = anim.canvas, playTime = anim.playTime, numberOfFrames = anim.numberOfFrames, timer=0}
end